# Listar solo deposits PAID
curl "https://consola.mouvlatam.com/api/deposits?status=PAID&limit=50" \
-H "Authorization: Bearer mvk_..."
// Paginar todos los PAID
async function listAllPaidDeposits() {
let cursor = null;
const all = [];
do {
const url = `https://consola.mouvlatam.com/api/deposits?status=PAID&limit=100${cursor ? `&cursor=${cursor}` : ''}`;
const res = await fetch(url, {
headers: { 'Authorization': `Bearer ${process.env.MOUV_API_KEY}` },
}).then(r => r.json());
all.push(...res.items);
cursor = res.nextCursor;
} while (cursor);
return all;
}
{
"items": [
{
"id": "dep_8e39f393-...",
"status": "PAID",
"amountCents": 100000,
"feeAmountCents": 1100,
"ivaAmountCents": 209,
"netCreditedCents": 98691,
"payerFirstName": "Juan",
"payerLastName": "Pérez",
"payerDocument": "1018485810",
"payerEmail": "juan@example.com",
"internalRef": "factura-001",
"paidAt": "2026-05-25T20:15:00.000Z",
"createdAt": "2026-05-25T20:00:00.000Z"
}
],
"nextCursor": null
}
Recaudos PSE
GET /deposits
Listar tus recaudos PSE
GET
/
api
/
deposits
# Listar solo deposits PAID
curl "https://consola.mouvlatam.com/api/deposits?status=PAID&limit=50" \
-H "Authorization: Bearer mvk_..."
// Paginar todos los PAID
async function listAllPaidDeposits() {
let cursor = null;
const all = [];
do {
const url = `https://consola.mouvlatam.com/api/deposits?status=PAID&limit=100${cursor ? `&cursor=${cursor}` : ''}`;
const res = await fetch(url, {
headers: { 'Authorization': `Bearer ${process.env.MOUV_API_KEY}` },
}).then(r => r.json());
all.push(...res.items);
cursor = res.nextCursor;
} while (cursor);
return all;
}
{
"items": [
{
"id": "dep_8e39f393-...",
"status": "PAID",
"amountCents": 100000,
"feeAmountCents": 1100,
"ivaAmountCents": 209,
"netCreditedCents": 98691,
"payerFirstName": "Juan",
"payerLastName": "Pérez",
"payerDocument": "1018485810",
"payerEmail": "juan@example.com",
"internalRef": "factura-001",
"paidAt": "2026-05-25T20:15:00.000Z",
"createdAt": "2026-05-25T20:00:00.000Z"
}
],
"nextCursor": null
}
Lista tus recaudos PSE con paginación cursor-based. Scope:
READ.
Query params
| Param | Tipo | Default | Significado |
|---|---|---|---|
status | string | (all) | Filtra por status: PENDING_CONFIRM, ASSIGNED, UNASSIGNED, REVERSED, EXPIRED |
rail | string | (todos) | BREB = solo recaudos Bre-B · PSE = solo PSE |
externalId | string | — | (agregadores) pagos a las llaves de ese cliente tuyo |
brebKeyId | string | — | (agregadores) pagos a una llave puntual |
page | number | 0 | Paginación por página (0-based) |
limit | number | 20 | Máximo 100 |
Response 200
array
Show Schema de deposit
Show Schema de deposit
string
dep_...string
PENDING_CONFIRM / ASSIGNED (acreditado) / UNASSIGNED / REVERSED / EXPIREDstring
Monto bruto en centavos (string — precisión exacta)
string
Comisión cobrada
string
IVA cobrado
string
Lo que se acreditó a tu wallet
string
Canal público:
PSE / BREB / ACH / DEPOSITobject | null
(agregadores) La llave que recibió el pago:
{ id, externalId, name, value }. null si no entró por llavestring | null
Nombre del pagador
string | null
Documento del pagador
string | null
Banco de origen del pago
string | null
Email del pagador (PSE)
string | null
Cuándo se confirmó el pago
string
Cuándo se registró
object
{ total, page, limit, totalPages } — paginación por página (0-based).Ejemplos
# Listar solo deposits PAID
curl "https://consola.mouvlatam.com/api/deposits?status=PAID&limit=50" \
-H "Authorization: Bearer mvk_..."
// Paginar todos los PAID
async function listAllPaidDeposits() {
let cursor = null;
const all = [];
do {
const url = `https://consola.mouvlatam.com/api/deposits?status=PAID&limit=100${cursor ? `&cursor=${cursor}` : ''}`;
const res = await fetch(url, {
headers: { 'Authorization': `Bearer ${process.env.MOUV_API_KEY}` },
}).then(r => r.json());
all.push(...res.items);
cursor = res.nextCursor;
} while (cursor);
return all;
}
{
"items": [
{
"id": "dep_8e39f393-...",
"status": "PAID",
"amountCents": 100000,
"feeAmountCents": 1100,
"ivaAmountCents": 209,
"netCreditedCents": 98691,
"payerFirstName": "Juan",
"payerLastName": "Pérez",
"payerDocument": "1018485810",
"payerEmail": "juan@example.com",
"internalRef": "factura-001",
"paidAt": "2026-05-25T20:15:00.000Z",
"createdAt": "2026-05-25T20:00:00.000Z"
}
],
"nextCursor": null
}